﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace KeoBuaBao
{
    public partial class frmMain : Form
    {
        private int count;

        private Bitmap[] dsHinhAnh = new Bitmap[]{
            global::KeoBuaBao.Properties.Resources.Keo,
            global::KeoBuaBao.Properties.Resources.Bua,
            global::KeoBuaBao.Properties.Resources.Bao,
        };

        /// <summary>
        /// index của hàng 0 = Kéo, 1 = Búa, 2 = Bao, áp dụng tương tự cho chỉ số cột.
        /// 
        /// </summary>
        private string[,] bangKetQua = new string[,]{
            { "Hòa", "Thua", "Thắng" },
            { "Thắng", "Hòa", "Thua" },
            { "Thua", "Thắng", "Hòa" }
        };

        public frmMain()
        {
            InitializeComponent();
            count = 1;
        }

        private void frmMain_Load(object sender, EventArgs e)
        {

        }

        private int TaoLuaChonCuaMayTinh()
        {
            Random random = new Random();
            return random.Next(0, 3); // 0 <= X < 3
        }

        private string LayKetQua(int luaChon1, int luaChon2)
        {
            return bangKetQua[luaChon1, luaChon2];
        }

        private void Choi(int luaChonCuaNguoiChoi)
        {
            int luaChonCuaMayTinh = TaoLuaChonCuaMayTinh();
            pbComputer.Image = dsHinhAnh[luaChonCuaMayTinh];
            pbPlayer.Image = dsHinhAnh[luaChonCuaNguoiChoi];
            lbResult.Text = LayKetQua(luaChonCuaNguoiChoi, luaChonCuaMayTinh);
            rtxtResult.Text = $"Lượt chơi thứ: {count++}\n\n" +
                $"Máy: {LayKetQua(luaChonCuaMayTinh, luaChonCuaNguoiChoi)}\n" +
                $"Bạn: {lbResult.Text}";
        }

        private void pbPlayer_Keo_Click(object sender, EventArgs e)
        {
            Choi(0);
        }

        private void pbPlayer_Bua_Click(object sender, EventArgs e)
        {
            Choi(1);
        }

        private void pbPlayer_Bao_Click(object sender, EventArgs e)
        {
            Choi(2);
        }
    }
}
